Index: EXAMPLES/parallel_tempering_s.f
===================================================================
--- EXAMPLES/parallel_tempering_s.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ EXAMPLES/parallel_tempering_s.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -20,21 +20,21 @@
       integer switch
 
-c =================================================== Energy setup
+! =================================================== Energy setup
 
-c            Directory for SMMP libraries
-c     Change the following directory path to where you want to put SMMP
-c     libraries of residues. 
+!            Directory for SMMP libraries
+!     Change the following directory path to where you want to put SMMP
+!     libraries of residues. 
       libdir='../SMMP/'
 
-c      The switch in the following line is now not used.
+!      The switch in the following line is now not used.
       flex=.false.        ! .true. for Flex  / .false. for ECEPP
 
-c     Choose energy type with the following switch instead ...
+!     Choose energy type with the following switch instead ...
       ientyp = 0
-c        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-c        1  => FLEX 
-c        2  => Lund force field
-c        3  => ECEPP with Abagyan corrections
-c
+!        0  => ECEPP2 or ECEPP3 depending on the value of sh2
+!        1  => FLEX 
+!        2  => Lund force field
+!        3  => ECEPP with Abagyan corrections
+!
 
       sh2=.false.         ! .true. for ECEPP/2; .false. for ECEPP3
@@ -48,5 +48,5 @@
       call init_energy(libdir)
 
-c ================================================= Structure setup
+! ================================================= Structure setup
 
       grpn = 'nh2' ! N-terminal group
@@ -59,5 +59,5 @@
       ntlml = 0
       write (*,*) 'Solvent: ', itysol
-c     Initialize random number generator.
+!     Initialize random number generator.
       call sgrnd(31433)
       
@@ -69,8 +69,8 @@
 
       call init_molecule(iabin,grpn,grpc,seqfile,varfile)
-c Decide if and when to use BGS, and initialize Lund data structures 
+! Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.75   ! Prob for BGS, given that it is possible
-c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-c 2 => temperature dependent choice 
+! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+! 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
@@ -80,5 +80,5 @@
       
 
-c ========================================  Add your task down here
+! ========================================  Add your task down here
       num_rep = 5
       nequi = 100
@@ -87,5 +87,5 @@
       newsta = .true.
       switch = 1
-c     parallel tempering on a single CPU
+!     parallel tempering on a single CPU
       eol = energy()
       write (*,*) "Energy before randomization:", eol
@@ -94,4 +94,4 @@
       write (*,*) "Final energy:", eol
 
-c ========================================  End of main      
+! ========================================  End of main      
        end
Index: EXAMPLES/partem_p.f
===================================================================
--- EXAMPLES/partem_p.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ EXAMPLES/partem_p.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,30 +1,30 @@
-c**************************************************************
-c     
-c This file contains the subroutines: partem_p 
-C Compared to the version in the main distribution, this
-C routine doesn't write the rmsd nor native contacts to the time
-C series.
-c     
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku Hu
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c     
-c     **************************************************************
+!**************************************************************
+!     
+! This file contains the subroutines: partem_p 
+! Compared to the version in the main distribution, this
+! routine doesn't write the rmsd nor native contacts to the time
+! series.
+!     
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku Hu
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!     
+!     **************************************************************
 
       subroutine  partem_p(num_rep, nequi, nswp, nmes, nsave, newsta,
      &                     switch, rep_id, partem_comm)
-C     
-C     PURPOSE: SIMULATION OF PROTEINS BY PARALLEL TEMPERING ALGORITHM 
-C     ON PARALLEL COMPUTERS USING MPI
-C     
-C     switch: Choses the starting configuration:
-C     -1 - stretched configuration
-C     0 - don't change anything
-C     1 - random start configuration
-C     
-c     CALLS:  addang,contacts,energy,hbond,helix,iendst,metropolis,
-c     outvar,(rand),rgyr
-C     
+!     
+!     PURPOSE: SIMULATION OF PROTEINS BY PARALLEL TEMPERING ALGORITHM 
+!     ON PARALLEL COMPUTERS USING MPI
+!     
+!     switch: Choses the starting configuration:
+!     -1 - stretched configuration
+!     0 - don't change anything
+!     1 - random start configuration
+!     
+!     CALLS:  addang,contacts,energy,hbond,helix,iendst,metropolis,
+!     outvar,(rand),rgyr
+!     
       include '../INCL.H'
       include '../INCP.H'
@@ -37,8 +37,8 @@
       external can_weight
 
-C     nequi:  number of Monte Carlo sweeps for thermalization
-C     nswp:   number of Monte Carlo sweeps
-C     nmes:   number of Monte Carlo sweeps between measurments
-C     newsta: .true. for new simulations, .false. for re-start
+!     nequi:  number of Monte Carlo sweeps for thermalization
+!     nswp:   number of Monte Carlo sweeps
+!     nmes:   number of Monte Carlo sweeps between measurments
+!     newsta: .true. for new simulations, .false. for re-start
 
       dimension  eavm(MAX_PROC),sph(MAX_PROC),intem(MAX_PROC),
@@ -50,23 +50,23 @@
       double precision    e_min, e_minp(MAX_PROC), e_minpt(MAX_PROC)
       integer   h_max, h_maxp(MAX_PROC)
-c     Order of replica exchange
+!     Order of replica exchange
       integer   odd
 !     Counter to keep random number generators in sync
       integer randomCount
       
-c     Collect partial energies. Only the root writes to disk. We have to
-c     collect the information from the different replicas and provide 
-c     arrays to store them.
-c     eyslr    storage array for solvent energy
-c     eyelp     -      "        - coulomb energy
-c     eyvwp     -      "        - van-der-Waals energy
-c     eyhbp     -      "        - hydrogen bonding energy
-c     eysmi    -      "        - intermolecular interaction energy
+!     Collect partial energies. Only the root writes to disk. We have to
+!     collect the information from the different replicas and provide 
+!     arrays to store them.
+!     eyslr    storage array for solvent energy
+!     eyelp     -      "        - coulomb energy
+!     eyvwp     -      "        - van-der-Waals energy
+!     eyhbp     -      "        - hydrogen bonding energy
+!     eysmi    -      "        - intermolecular interaction energy
       double precision eyslr(MAX_PROC)
       double precision eyelp(MAX_PROC),eyvwp(MAX_PROC),eyhbp(MAX_PROC), 
      &     eyvrp(MAX_PROC),eysmip(MAX_PROC)
-c     Collect information about accessible surface and van-der-Waals volume
-c     asap      storage array for solvent accessible surface
-c     vdvolp     storage array for van-der-Waals volume
+!     Collect information about accessible surface and van-der-Waals volume
+!     asap      storage array for solvent accessible surface
+!     vdvolp     storage array for van-der-Waals volume
       double precision asap(MAX_PROC), vdvolp(MAX_PROC)
 
@@ -75,11 +75,11 @@
       integer imhbp(MAX_PROC)
       character*80 filebase, fileNameMP, tbase0,tbase1
-c     frame     frame number for writing configurations
-c     trackID   configuration that should be tracked and written out
-c     dir          direction in random walk
-c     -1 - visited highest temperature last
-c     1 - visited lowest temperature last
-c     0 - haven't visited the boundaries yet.
-c     dirp      storage array for directions.
+!     frame     frame number for writing configurations
+!     trackID   configuration that should be tracked and written out
+!     dir          direction in random walk
+!     -1 - visited highest temperature last
+!     1 - visited lowest temperature last
+!     0 - haven't visited the boundaries yet.
+!     dirp      storage array for directions.
       integer frame, trackID, dir
       integer dirp(MAX_PROC)
@@ -92,7 +92,7 @@
      &            rep_id, num_rep, partem_comm, myrank
       call flush(6)
-C     
-c     
-C     File with temperatures 
+!     
+!     
+!     File with temperatures 
       open(11,file='temperatures_abeta',status='old')
       
@@ -100,9 +100,9 @@
       open(18,file=fileNameMP(tbase0,5,9,rep_id),status='unknown')
       if (rep_id.eq.0.and.myrank.eq.0) then
-c     File with time series of simulation
+!     File with time series of simulation
          open(14,file='ts.d',status='unknown')
       endif
       
-C     READ IN TEMPERATURES
+!     READ IN TEMPERATURES
       do i=1,num_rep
          read(11,*) j,temp
@@ -111,8 +111,8 @@
       close(11)
 
-c     nresi:  number of residues
+!     nresi:  number of residues
       nresi=irsml2(1)-irsml1(1)+1
-C     
-C     Initialize variables
+!     
+!     Initialize variables
       do i=1,num_rep      
          acx1(i) = 0.0d0
@@ -132,5 +132,5 @@
       dir = dirp(rep_id + 1)
 
-c     _________________________________ Initialize Variables
+!     _________________________________ Initialize Variables
       if(newsta) then
          iold=0
@@ -139,5 +139,5 @@
             intem(i) = i
          end do
-c     _________________________________ initialize starting configuration
+!     _________________________________ initialize starting configuration
          if (switch.ne.0) then
             do i=1,nvr
@@ -173,9 +173,9 @@
          CALL MPI_BCAST(INODE,num_rep,MPI_INTEGER,0,MPI_COMM_WORLD,IERR)
          CALL MPI_BCAST(YOL,num_rep,MPI_DOUBLE_PRECISION,0,
-     #        MPI_COMM_WORLD,IERR)
+     &        MPI_COMM_WORLD,IERR)
          CALL MPI_BCAST(E_MINP, num_rep, MPI_DOUBLE_PRECISION, 0, 
-     #        MPI_COMM_WORLD, IERR)
+     &        MPI_COMM_WORLD, IERR)
          CALL MPI_BCAST(h_maxp,num_rep,MPI_INTEGER,0,MPI_COMM_WORLD,
-     $        IERR)
+     &        IERR)
       end if
       
@@ -189,8 +189,8 @@
          write(*,*) rep_id, yol(rep_id + 1), eol
       endif
-C     Start of simulation
+!     Start of simulation
       write (*,*) '[',rep_id, myrank, beta, partem_comm,
      &            '] Energy before equilibration:', eol
-c     =====================Equilibration by canonical Metropolis
+!     =====================Equilibration by canonical Metropolis
       do nsw=1,nequi
          call metropolis(eol,acz,can_weight)
@@ -199,9 +199,9 @@
       write (*,*) '[',rep_id,'] Energy after equilibration:', eol
       call flush(6)
-C     
-C======================Multiple Markov Chains
+!     
+!======================Multiple Markov Chains
       acz = 0
       do nsw=1,nswp
-c------------First ordinary Metropolis 
+!------------First ordinary Metropolis 
          call metropolis(eol,acz,can_weight)
          iold = iold + 1	
@@ -214,10 +214,10 @@
             endif
             acz0 = acz
-C     Measure global radius of gyration
+!     Measure global radius of gyration
             call rgyr(0,rgy,ee)  
             rgyp = rgy
-C     Measure Helicity and Sheetness
+!     Measure Helicity and Sheetness
             call helix(nhel,mhel,nbet,mbet)
-C     Measure Number of hydrogen bonds
+!     Measure Number of hydrogen bonds
             mhb = 0
             do i = 1, ntlml
@@ -226,10 +226,10 @@
             enddo
             call interhbond(imhb) 
-C     Measure total number of contacts (NCTOT) and number of
-C     native contacts (NCNAT)
+!     Measure total number of contacts (NCTOT) and number of
+!     native contacts (NCNAT)
             call contacts(nctot,ncnat,dham)
-c     Add tracking of lowest energy configuration
+!     Add tracking of lowest energy configuration
             if (eol.lt.e_min) then
-c     Write out configuration
+!     Write out configuration
                i=rep_id+1
                j=inode(i)
@@ -248,7 +248,7 @@
                close(15)
             endif
-c     Add tracking of configuration with larges hydrogen contents.
+!     Add tracking of configuration with larges hydrogen contents.
             if ((mhb + imhb).gt.h_max) then
-c     Write out configuration
+!     Write out configuration
                i = rep_id + 1
                j = inode(i)
@@ -268,6 +268,6 @@
             endif
 
-C     
-C--------------------Gather measurement data
+!     
+!--------------------Gather measurement data
 ! I only use the master node of each replica for data collection. The
 ! variable partem_comm provides the appropriate communicator.
@@ -310,10 +310,10 @@
      &              MPI_DOUBLE_PRECISION,0,partem_comm,IERR)
 
-c     Write trajectory
+!     Write trajectory
                write (18,*) '@@@',iold,inode(rep_id+1)
                call outvbs(0,18)
                write (18,*) '###'
 !                call flush(18)
-c     Write current configuration
+!     Write current configuration
                if ((mod(iold, nsave).eq.0)) then
                   filebase = "conf_0000.var"
@@ -324,15 +324,15 @@
             if(rep_id.eq.0.and.myrank.eq.0) then
                randomCount = 0
-c  Update acceptance, temperature wise average of E and E^2 used to calculate
-c  specific heat. 
+!  Update acceptance, temperature wise average of E and E^2 used to calculate
+!  specific heat. 
                do i=1,num_rep
                   j=intem(i)
                   acy(i)=0.0
-c  Above: contents of acy1 are added to acy(i) a few lines down. 
-c  acy1(intem(i)) contains information received from the node at temperature
-c  i, on how many updates have been accepted in node intem(i). Since acz
-c  is not reset to 0 every cycle, acy(i) must be set to 0 here. Else, there 
-c  will be serious double counting and the values of acceptance printed 
-c  will be simply wrong.
+!  Above: contents of acy1 are added to acy(i) a few lines down. 
+!  acy1(intem(i)) contains information received from the node at temperature
+!  i, on how many updates have been accepted in node intem(i). Since acz
+!  is not reset to 0 every cycle, acy(i) must be set to 0 here. Else, there 
+!  will be serious double counting and the values of acceptance printed 
+!  will be simply wrong.
                   e_minpt(i)=e_minp(intem(i))
                end do
@@ -346,5 +346,5 @@
 
 
-C     Write measurements to the time series file ts.d
+!     Write measurements to the time series file ts.d
                do i=1,num_rep
                   j=intem(i)
@@ -354,5 +354,5 @@
                       
                end do
-c     Write the current parallel tempering information into par_R.in
+!     Write the current parallel tempering information into par_R.in
                if ((mod(iold, nsave).eq.0))
      &         then
@@ -363,6 +363,6 @@
      &                    h_maxp(i)
                   end do
-C     -------------------------- Various statistics of current run
-c               swp=nswp-nequi
+!     -------------------------- Various statistics of current run
+!               swp=nswp-nequi
                   swp=nsw
                   write(13,*) 'Acceptance rate for change of chains:'
@@ -370,7 +370,7 @@
                      temp=1.0d0/pbe(k1)/0.00198773
                      write(13,*) temp, acx1(k1)*2.0d0*nmes/swp 
-c  Above: it's the acceptance rate of exchange of replicas. Since a 
-c  replica exchange is attempted only once every nmes sweeps, the 
-c  rate should be normalized with (nmes/swp).
+!  Above: it's the acceptance rate of exchange of replicas. Since a 
+!  replica exchange is attempted only once every nmes sweeps, the 
+!  rate should be normalized with (nmes/swp).
                   end do 
                   write(13,*)
@@ -381,12 +381,12 @@
                      geavm(k1) = nmes*eavm(k1)/swp
                      gsph(k1)  = (nmes*sph(k1)/swp-geavm(k1)**2)
-     #                    *beta*beta/nresi
+     &                    *beta*beta/nresi
                      write(13,'(a,2f9.2,i4,f12.3)') 
      &                    'Temperature, Node,local acceptance rate:',
      &                    beta,temp,k,acy(k1)/dble(nsw*nvr)
-c  Above: Changed (nswp-nequi) in the denominator of acceptance as 
-c  acceptance values are initialized to 0 after equilibration cycles are
-c  finished. Note also that since this is being written in the middle of
-c  the simulation, it is normalized to nsw instead of nswp.
+!  Above: Changed (nswp-nequi) in the denominator of acceptance as 
+!  acceptance values are initialized to 0 after equilibration cycles are
+!  finished. Note also that since this is being written in the middle of
+!  the simulation, it is normalized to nsw instead of nswp.
                      write(13,'(a,3f12.2)') 
      &                    'Last Energy, Average Energy, Spec. Heat:', 
@@ -401,10 +401,10 @@
                end if   
 
-C--------------------Parallel Tempering  update
-c     Swap with right neighbor (odd, even)            
+!--------------------Parallel Tempering  update
+!     Swap with right neighbor (odd, even)            
                if(odd.eq.1) then
                   nu=1
                   no1 = num_rep-1
-c     Swap with left neighbor (even, odd)
+!     Swap with left neighbor (even, odd)
                else
                   nu = 2
@@ -413,5 +413,5 @@
                do i=nu,no1,2
                   j=i+1
-c     Periodic bc for swaps
+!     Periodic bc for swaps
                   if(i.eq.num_rep) j=1
                   iidx=intem(i)
@@ -429,13 +429,13 @@
                   end if
                end do
-c     ---------------- End Loop over nodes which creates a new temperature
-c     map for all nodes, at the node with rank 0. 
-c     
+!     ---------------- End Loop over nodes which creates a new temperature
+!     map for all nodes, at the node with rank 0. 
+!     
                odd = 1 - odd
             end if
-c     End of "if (myrank.eq.0) ...". The block above includes PT update and 
-c     writing of observables into the time series file etc. 
+!     End of "if (myrank.eq.0) ...". The block above includes PT update and 
+!     writing of observables into the time series file etc. 
            
-c     Below: Communicate new temperature-node map to all nodes
+!     Below: Communicate new temperature-node map to all nodes
             CALL MPI_BCAST(INTEM,num_rep,MPI_INTEGER,0,MPI_COMM_WORLD,
      &           IERR)
@@ -446,5 +446,5 @@
             CALL MPI_BCAST(H_MAXP,num_rep,MPI_INTEGER,0,MPI_COMM_WORLD,
      &           IERR)
-c Synchronize random number generators for replica 0
+! Synchronize random number generators for replica 0
             if (rep_id.eq.0) then
                CALL MPI_BCAST(randomCount,1,MPI_INTEGER,0,my_mpi_comm,
@@ -467,10 +467,10 @@
 
          endif
-c        End of "if (mod(iold,nmes).eq.0) ..."
+!        End of "if (mod(iold,nmes).eq.0) ..."
       end do
-c-----------End Loop over sweeps
-c     
-C     OUTPUT:
-C--------------------For Re-starts:
+!-----------End Loop over sweeps
+!     
+!     OUTPUT:
+!--------------------For Re-starts:
       nu = rep_id + 1
       filebase = "conf_0000.var"
@@ -484,7 +484,7 @@
       if (partem_comm.ne.MPI_COMM_NULL) then
          CALL MPI_GATHER(EOL0,1,MPI_DOUBLE_PRECISION,YOL,1,
-     #        MPI_DOUBLE_PRECISION,0,partem_comm,IERR)
+     &        MPI_DOUBLE_PRECISION,0,partem_comm,IERR)
          CALL MPI_GATHER(acz0,1,MPI_DOUBLE_PRECISION,acy1,1,
-     #     MPI_DOUBLE_PRECISION,0,partem_comm,IERR)
+     &     MPI_DOUBLE_PRECISION,0,partem_comm,IERR)
       endif
       
@@ -496,5 +496,5 @@
             write(13,*) i,inode(i),intem(i),yol(i),e_minp(i),h_maxp(i)
          end do
-C     -------------------------- Various statistics of current run
+!     -------------------------- Various statistics of current run
          swp=nswp
          write(13,*) 'Acceptance rate for change of chains:'
@@ -519,9 +519,9 @@
          end do
          close(13)
-c         close(16)
+!         close(16)
       end if
       close(18)
 
-c     =====================
+!     =====================
       CALL MPI_BARRIER(MPI_COMM_WORLD,IERR)
 
Index: INCP.H
===================================================================
--- INCP.H	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ INCP.H	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,52 +1,52 @@
-c ......................
-c contents of a PDB file
-c ......................
+! ......................
+! contents of a PDB file
+! ......................
 
       parameter (MXCHP =100,    ! max. no. of polypeptide chains
-     #           MXRSP =1000,   ! max. no. of residues
-     #           MXATP =10000)  ! max. no. of atoms
+     &           MXRSP =1000,   ! max. no. of residues
+     &           MXATP =10000)  ! max. no. of atoms
 
-c   nchp      - no. of polypeptide chains
-c   nchrsp()  - no. of residues / chain
-c   nrsp      - total no. of residues
-c   irsatp()  - index of 1st atom / res.
-c   nrsatp()  - no. of atoms / res.
-c   natp      - total no. of selected atoms
-c   noatp()   - atom numbers
+!   nchp      - no. of polypeptide chains
+!   nchrsp()  - no. of residues / chain
+!   nrsp      - total no. of residues
+!   irsatp()  - index of 1st atom / res.
+!   nrsatp()  - no. of atoms / res.
+!   natp      - total no. of selected atoms
+!   noatp()   - atom numbers
 
       common /pdb_i/ nchp,nchrsp(MXCHP),
-     #               nrsp,irsatp(MXRSP),nrsatp(MXRSP),
-     #               natp,noatp(MXATP)
+     &               nrsp,irsatp(MXRSP),nrsatp(MXRSP),
+     &               natp,noatp(MXATP)
       save /pdb_i/
 
-c   chnp()  - chain identifiers
-c   rsidp() - residue identifiers (number + insertion code)
-c   rsnmp() - residues (sequence, 3-letter code)
-c   atnmp() - atom names
+!   chnp()  - chain identifiers
+!   rsidp() - residue identifiers (number + insertion code)
+!   rsnmp() - residues (sequence, 3-letter code)
+!   atnmp() - atom names
 
       character chnp(MXCHP),
-     #          rsidp(MXRSP)*5,rsnmp(MXRSP)*3,
-     #          atnmp(MXATP)*4
+     &          rsidp(MXRSP)*5,rsnmp(MXRSP)*3,
+     &          atnmp(MXATP)*4
 
       common /pdb_c/ chnp,rsnmp,rsidp,atnmp
       save /pdb_c/
 
-c     xatp,yatp,zatp - atom coordinates
+!     xatp,yatp,zatp - atom coordinates
 
       common /pdb_r/ xatp(MXATP),yatp(MXATP),zatp(MXATP)
       save /pdb_r/
 
-c ------------------- code to list all PDB information
-c      ir=0
-c      do i=1,nchp
-c        write(*,*) ' ===== chain |',chnp(i),'|'
-c        do j=1,nchrsp(i)
-c          ir=ir+1
-c          write(*,*) ' ----- ',rsidp(ir),' ',rsnmp(ir),' ',nrsatp(ir)
-c          k1=irsatp(ir)
-c          k2=k1+nrsatp(ir)-1
-c          do k=k1,k2
-c            write(*,*) ' ',noatp(k),' ',atnmp(k),' ',(xyzp(l,k),l=1,3)
-c          enddo
-c        enddo
-c      enddo
+! ------------------- code to list all PDB information
+!      ir=0
+!      do i=1,nchp
+!        write(*,*) ' ===== chain |',chnp(i),'|'
+!        do j=1,nchrsp(i)
+!          ir=ir+1
+!          write(*,*) ' ----- ',rsidp(ir),' ',rsnmp(ir),' ',nrsatp(ir)
+!          k1=irsatp(ir)
+!          k2=k1+nrsatp(ir)-1
+!          do k=k1,k2
+!            write(*,*) ' ',noatp(k),' ',atnmp(k),' ',(xyzp(l,k),l=1,3)
+!          enddo
+!        enddo
+!      enddo
Index: SMMP.kdevelop
===================================================================
--- SMMP.kdevelop	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ SMMP.kdevelop	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -132,5 +132,5 @@
       <filetype>*.h</filetype>
       <filetype>*.H</filetype>
-      <filetype>*.hh</filetype>
+      <filetype>*.f90</filetype>
       <filetype>*.hxx</filetype>
       <filetype>*.hpp</filetype>
@@ -143,4 +143,6 @@
       <filetype>Makefile</filetype>
       <filetype>CMakeLists.txt</filetype>
+      <filetype>*.py</filetype>
+      <filetype>*.f</filetype>
     </filetypes>
     <blacklist/>
Index: SMMP.kdevelop.filelist
===================================================================
--- SMMP.kdevelop.filelist	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
+++ SMMP.kdevelop.filelist	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -0,0 +1,87 @@
+# KDevelop Custom Project File List
+addend.f
+algorithms.py
+anneal.f
+bgs.f
+bldmol.f
+callbacktest.f
+canon.f
+cnteny.f
+contacts.f
+difang.f
+dihedr.f
+doc
+doc/Makefile
+energy.f
+eninteract.f
+enyflx.f
+enylun.f
+enyreg.f
+enyshe.f
+enyshe_p.f
+enysol.f
+enysol_p.f
+esolan.f
+EXAMPLES
+EXAMPLES/annealing.f
+EXAMPLES/Makefile
+EXAMPLES/minimization.f
+EXAMPLES/multicanonical.f
+EXAMPLES/parallel_tempering_p.f
+EXAMPLES/parallel_tempering_s.f
+EXAMPLES/partem_p.f
+EXAMPLES/Python
+EXAMPLES/Python/annealing.py
+EXAMPLES/Python/gui_example.py
+EXAMPLES/Python/minimization.py
+EXAMPLES/Python/muca.py
+EXAMPLES/Python/regularization.py
+EXAMPLES/regularization.f
+eyabgn.f
+getmol.f
+gradient.f
+hbond.f
+helix.f
+INCL.H
+incl_lund.h
+INCP.H
+init_energy.f
+init_molecule.f
+main_bgl_p.f
+main.f
+main_p.f
+main.py
+Makefile
+metropolis.f
+mincjg.f
+minim.f
+minqsn.f
+mklist.f
+mulcan_par.f
+mulcan_par_mod.f90
+mulcan_sim.f
+nursvr.f
+opeflx.f
+opereg.f
+opeshe.f
+opesol.f
+outpdb.f
+outvar.f
+partem_p.f
+partem_s.f
+pdbread.f
+protein.py
+redseq.f
+redstr.f
+redvar.f
+regul.f
+restoreexclpoint.py
+rgyr.f
+rmexclpoint.py
+rmsdfun.f
+setmvs.f
+setvar.f
+twister.f
+universe.py
+utilities.f
+zimmer.f
